Get Tracking Links
Retrieve a list of all tracking links created by a Fansly account.
Retrieve all tracking links for a specific account.
https://v1.apifansly.com
GET
/api/fansly/{account_id}/tracking-links
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Path Parameters
curl -X GET "https://v1.apifansly.com/api/fansly/{account_id}/tracking-links" \
-H "x-api-key: YOUR_API_KEY"fetch("https://v1.apifansly.com/api/fansly/{account_id}/tracking-links", {
method: "GET",
headers: {
"x-api-key": "YOUR_API_KEY"
}
})
.then(response => response.json())
.then(data => console.log(data));import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/tracking-links"
headers = {
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/tracking-links"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{account_id}/tracking-links");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/tracking-links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Parameters
To get tracking links for a specific account, you must provide the account_id in the URL path. This is the unique identifier found on your Fansly API dashboard for each connected account.
account_id*
stringThe unique identifier for the connected account, retrieved from your Dashboard.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": [
{
"id": "unique_tracking_link_identifier",
"accountId": "creator_account_identifier",
"label": "name_of_the_tracking_link",
"description": "optional_details_about_the_link",
"metadata": "stringified_json_metadata",
"createdAt": 1770544484000,
"clicks": 584,
"claims": 0,
"follows": 27,
"subscriptions": 4,
"totalNet": 10500,
"totalGross": 15000
}
]
}
},
"timestamp": "2026-03-21T04:08:45.000Z"
}